aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2020-04-10 11:31:51 +0300
committerYaroslav <contact@yaroslavps.com>2020-04-10 11:31:51 +0300
commit197682d0f5b9d79033b9198df57225de24fff69b (patch)
tree4ab77c60752e6cbf5a2c910c3f135b227fff48cc /dotfiles/.local
parentd5c97e78d80177119421f9dade324b04f2b00126 (diff)
downloadswayrice-197682d0f5b9d79033b9198df57225de24fff69b.tar.gz
swayrice-197682d0f5b9d79033b9198df57225de24fff69b.zip
fix mailsync script and related bar script
Diffstat (limited to 'dotfiles/.local')
-rwxr-xr-xdotfiles/.local/bin/mailcheck35
-rwxr-xr-xdotfiles/.local/bin/mailsync4
2 files changed, 2 insertions, 37 deletions
diff --git a/dotfiles/.local/bin/mailcheck b/dotfiles/.local/bin/mailcheck
deleted file mode 100755
index 75800a9..0000000
--- a/dotfiles/.local/bin/mailcheck
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/sh
-# Sync mail and give notification if there is new mail.
-
-# Run only if user logged in (prevent cron errors)
-w | grep "^$USER\W" >/dev/null || exit
-
-# Checks for internet connection and set notification script.
-ping -q -c 1 1.1.1.1 > /dev/null || exit
-command -v notify-send >/dev/null || echo "Note that \`libnotify\` or \`libnotify-send\` should be installed for pop-up mail notifications with this script."
-
-export DISPLAY=:0.0
-
-notify() {
- notify-send "📬 Email" "$2 new mail(s) in \`$1\` account."
- mpv $HOME/.local/share/soundalerts/mail.mp3
-}
-
-# Run mbsync. You can feed this script different settings.
-if [ $# -eq 0 ]; then
- mbsync -a
-else
- mbsync "$@"
-fi
-
-# Check all accounts/mailboxes for new mail. Notify if there is new content.
-for account in "$HOME/.local/share/mail/"*
-do
- acc="$(echo "$account" | sed "s/.*\///")"
- newcount=$(find "$HOME/.local/share/mail/$acc/INBOX/new/" "$HOME/.local/share/mail/$acc/Inbox/new/" "$HOME/.local/share/mail/$acc/inbox/new/" -type f -newer "$HOME/.config/mutt/.mailsynclastrun" 2> /dev/null | wc -l)
- [ "$newcount" -gt "0" ] && notify "$acc" "$newcount" &
-done
-notmuch new 2>/dev/null
-
-#Create a touch file that indicates the time of the last run of mailsync
-touch "$HOME/.config/mutt/.mailsynclastrun"
diff --git a/dotfiles/.local/bin/mailsync b/dotfiles/.local/bin/mailsync
index 9da6270..2a5ed03 100755
--- a/dotfiles/.local/bin/mailsync
+++ b/dotfiles/.local/bin/mailsync
@@ -6,7 +6,7 @@ w | grep "^$USER\W" >/dev/null || exit
# Check several times before giving up, useful when just waking up from sleep
# since internet is usually not available right away
-wget -q --tries=5 --timeout=20 --spider 1.1.1.1 > /dev/null || exit
+wget -q --tries=3 --timeout=20 --spider 1.1.1.1 > /dev/null || exit
# Source the needed env variables so that it can function properly from cron
. ~/.cache/sessionenv
@@ -33,7 +33,7 @@ done
if [ $thereis = 1 ]; then
mpv "$HOME/.local/share/soundalerts/mail.mp3" > /dev/null
- killall -42 waybar
+ killall -43 waybar
fi
notmuch new 2>/dev/null